This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 440619 - there should be %{?dist} instead of %{dist} in the *.spec on the Release: line
there should be %{?dist} instead of %{dist} in the *.spec on the Release: line
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: svrcore (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Rich Megginson
Rich Megginson
:
Depends On:
Blocks: 440605
  Show dependency treegraph
 
Reported: 2008-04-04 07:07 EDT by Jan Hutař
Modified: 2013-04-12 15:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-24 15:56:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2008-04-04 07:07:48 EDT
Description of problem:
There should be "%{?dist}" instead of "%{dist}" in the *.spec file on the 
"Release:" line.


Version-Release number of selected component (if applicable):
svrcore-4.0.4-3.el5


Additional info:
http://fedoraproject.org/wiki/Packaging/DistTag
Comment 1 Rich Megginson 2008-04-04 10:14:36 EDT
Requesting RHEL 5 acks for this bug.  The fix is very minor - just an update to
the dist tag in the spec file.  No code, build, or packaging changes at all.
Comment 2 RHEL Product and Program Management 2008-04-04 10:18:16 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Mike McLean 2008-04-04 11:19:53 EDT
This bug does not affect the package itself. It only affects rebuilding the
srpm, and only if the dist macro is undefined. This makes it very, very low
impact and easily worked around. All the customer has to do is either make the
above change when rebuilding, or even more simply, pass --define 'dist
.el5rebuild' (or similar) on the rpmbuild command line.
Comment 5 Rich Megginson 2008-04-04 11:21:08 EDT
So do we even need to release note this for 5.2?  I would be fine just fixing
this for 5.3 and not doing anything for 5.2.
Comment 6 Chandrasekar Kannan 2008-04-04 15:13:40 EDT
yes lets do this 5.3, please ..
Comment 7 Don Domingo 2008-04-07 23:35:41 EDT
so the complete command to build the SRPM would be:

rpmbuild --define 'dist el5rebuild' svrcore

please advise so we can put it in the release notes. thanks! 
Comment 8 Jan Hutař 2008-04-08 07:15:30 EDT
Hello,
I think that this discussion should be taken to the more general tracker bug 
440605. IMHO this is not serious enough to appear in release notes. This bug 
will only prevent rebuilding of this RHEL-5 package on RHEL-4 (is there anybody 
doing this?).
Comment 9 Don Domingo 2008-04-08 19:25:50 EDT
thanks Jan. clearing release note flag, then.
Comment 10 RHEL Product and Program Management 2008-07-21 19:03:59 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 15 Rich Megginson 2010-03-24 15:56:11 EDT
fixed in RHEL-6

Note You need to log in before you can comment on or make changes to this bug.